USN-2858-3: Linux kernel (Raspberry Pi 2) vulnerability

05 January 2016

The system could be made to run programs as an administrator.

Releases

Packages

  • linux-raspi2 - Linux kernel for Raspberry Pi 2

Details

Nathan Williams discovered that overlayfs in the Linux kernel incorrectly
handled setattr operations. A local unprivileged attacker could use this to
create files with administrative permission attributes and execute
arbitrary code with elevated privileges.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 15.10

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed.
Unless you manually uninstalled the standard kernel metapackages
(e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual,
linux-powerpc), a standard system upgrade will automatically perform
this as well.

References

Related notices

  • USN-2857-1: linux-image-3.19.0-43-powerpc-e500mc, linux-image-3.19.0-43-powerpc64-emb, linux-image-3.19.0-43-powerpc-smp, linux-image-3.19.0-43-generic, linux-image-3.19.0-43-powerpc64-smp, linux-image-3.19.0-43-generic-lpae, linux, linux-image-3.19.0-43-lowlatency
  • USN-2857-2: linux-image-3.19.0-43-powerpc-e500mc, linux-image-3.19.0-43-powerpc64-emb, linux-image-3.19.0-43-powerpc-smp, linux-image-3.19.0-43-generic, linux-image-3.19.0-43-powerpc64-smp, linux-lts-vivid, linux-image-3.19.0-43-generic-lpae, linux-image-3.19.0-43-lowlatency
  • USN-2858-1: linux-image-4.2.0-23-powerpc-smp, linux-image-4.2.0-23-powerpc64-emb, linux-image-4.2.0-23-lowlatency, linux-image-4.2.0-23-generic, linux, linux-image-4.2.0-23-powerpc64-smp, linux-image-4.2.0-23-powerpc-e500mc, linux-image-4.2.0-23-generic-lpae
  • USN-2858-2: linux-image-4.2.0-23-powerpc-smp, linux-image-4.2.0-23-powerpc64-emb, linux-image-4.2.0-23-lowlatency, linux-lts-wily, linux-image-4.2.0-23-generic, linux-image-4.2.0-23-powerpc64-smp, linux-image-4.2.0-23-powerpc-e500mc, linux-image-4.2.0-23-generic-lpae